#ifndef __ULIB_WINDOW_H__
#define __ULIB_WINDOW_H__

#include <header/Object.h>
extern "C"
{
	#include <guigui00.h>
}
using namespace Ulib;

namespace Ulib
{
	class Window : public Ulib::Object
	{
	protected:
		LIB_WINDOW *window;
		LIB_TEXTBOX *titleBox;
		int slot;
		int xsiz, ysiz;
		const char *titleString;
	public:
		Window(const char *title0 = "default", int xsiz0 = 8*17, int ysiz0 = 16*3, int slot0 = 0x200);
		virtual ~Window() {}
		virtual const char *getTypeName();
		virtual LIB_WINDOW *Get_LIB_WINDOW() { return window; }
		virtual void Open();
		virtual void ExOpen();
		virtual void Close();
		virtual void AddObject(Object &object0);
		virtual void RemoveObject(Object &object0);
		virtual void RefreshObject(Object &object0);
		virtual void Refresh();
	};
}

#endif
